Unraid OS version 6.10.2 available


Recommended Posts

26 minutes ago, eltonk said:

 

So you are saying that we should not trust  on the Unraid's top banner telling us to "update" the system because it can be a Malware?!

This is a joke, right? 

NO! What I meant ( and still think I said) is that many folks simply click on links with doing proper due diligence.  (And it is this behavior pattern is what the Malware writers often depend on!)   Fortunately or Unfortunately (depending on one's view), LimeTech has had a really good string of releases that have not had any really major problems for quite some time.  Some users have become lax in doing their due diligence.  If one does not have the time to read the release posts, logs and threads, they should then wait three-to-four weeks before doing the upgrade.  LimeTech does not use the 'Push' method to force the user to upgrade and that is a definite  credit to them.  LimeTech provides the user with the information that an update is available and the user has to make the decision about what to do with it. 

 

(From what I am seeing, it appears that there may be a problem back in the Linux kernel that is at the root of this problem.  Unraid has been simply caught up along with every other Linux distribution using this kernel release!)

Link to comment
22 hours ago, JorgeB said:

Yes, if you don't need hardware pass-through you can just disable IOMMU by adding 'intel_iommu=off to syslinux.cfg, and you can still use the VMs.

Just to confirm this worked a treat. It cost me a few hours messing around with the server though but I appreciate the decision to disable rather than corrupt! Definitely should have been made much clearer in my opinion though...

Link to comment
3 hours ago, sarf said:

Just to confirm this worked a treat. It cost me a few hours messing around with the server though but I appreciate the decision to disable rather than corrupt! Definitely should have been made much clearer in my opinion though...

 

Note: to be safe you should add that to all "boot modes" indicated on Main/Flash page, in case you ever need to switch boot modes.   This is an easy thing to forget.

 

Capture.PNG

Link to comment
On 5/30/2022 at 7:23 AM, massiadk said:

 

You can add : Dell R730xd to that list.

It uses (in my case at least) the Broadcom 5720-T 4 port NIC with the tg3 driver.

 

As a preventative measure, I've disabled virtualisation. I'll run my VMs on a temporary proxmox machine.

 

 

I don't think it affects ALL Dell R730xd's.... mine has an has an Intel board (Intel X710 Quad Port 10GbE SFP +, rNDC)

Link to comment
11 hours ago, God_TM said:

I don't think it affects ALL Dell R730xd's....

 

As a reminder, so far I don't believe any Dell servers are affected by the corruption issue, even those that have NICs that use the tg3 driver, (though they are affected by the NIC being blacklisted with v6.10.2), if the NICs are the reason for the this problem I haven't found a single example of the IOMMU call traces or any signs of corruption in a Dell, actual issue affects mostly HP servers, about 5 or 6 different models so far, but there's also one IBM/Lenovo, so it's not just HPs, the identical Ubuntu bug report posted above also only mentions HP servers as of now.

 

 

Link to comment
On 5/28/2022 at 3:18 PM, Oceanic said:

Thanks JorgeB

 

For people who are fairly new to this (like me), here are the instructions on how to fix this on a HP MicroServer Gen 8 with a E3-1265LV2

 

Reboot the server

During bootup press F9 to enter the bios.

Once the bios is loaded enter the menu System Options -> Processor Options -> Intel(R) VT-d

Set it to disabled

Press Esc to get to the top menu again

Press F10 to exit the bios and save

 

The server should now boot again as normal

 

FYI - Same here with E3 1230 V2.

Link to comment
48 minutes ago, unr41dus3r said:

One question about the data corruption, can this corruption only happen when data is transfered over the network adapter to the drives or also when the data is moved around between the disks?

 

Not totally clear for now, but I would guess local transfers are also at risk.

Link to comment

image.thumb.png.2204cffb73ec9783738d6e4136131239.png

 

Doing everything to update as in the first post of this thread. But - right after getting to 30% of download - it always sticks with this error.. No matter what i do, change DNS, try to download the file manually(which works fine) - i always get this error in UNRAID. Any ideas how to fix it? No anomalies in the log file.

Link to comment
5 hours ago, olafnew@gmail.com said:

Only 2GB, it's an old Asustor NAS with soldered-on RAM chips, no possible way to upgrade RAM size

That is definitely not enough to be able to upgrade vis the GUI.   You can follow the procedure here to do the upgrade manually.

Link to comment

my sever is dell  t330,the nic is bcm5720

it is ok on 6.10.1

then 6.10.2 will enble nic,

it does mean  the tg3 problem will not  influence my server and i can create tg3.conf to update

 

 

 

Link to comment
57 minutes ago, samaxu said:

it does mean  the tg3 problem will not  influence my server and i can create tg3.conf to update

Yes, you should be fine after unblacklisting the NIC, no evidence so far of this issue with any Dell server.

Link to comment

FWIW I have 2 HP ML30 Gen 9 servers updated to 6.10.2, both with dual:

 

02:00.0 Ethernet controller: Broadcom Inc. and subsidiaries NetXtreme BCM5720 Gigabit Ethernet PCIe
02:00.1 Ethernet controller: Broadcom Inc. and subsidiaries NetXtreme BCM5720 Gigabit Ethernet PCIe

 

 

I did the "un-blacklist" procedure and have experienced no errors. I will also add that the Broadcom controllers  are not eth0 in both systems either, and as far as I know there were no reports of this model of HP servers with issues.

Link to comment
Posted (edited)
38 minutes ago, JorgeB said:

Affected by the NIC being blacklisted or call traces/corruption issue?

 

NIC being blacklisted... didn't notice any actual issues prior to that and went from 6.10.0 to 6.10.2. Disabled VT-d for now and was debating on other methods.

 

Would any errors while running 6.10.0 give me actual warning or would it only show up in the logs? I don't see anything out of the ordinary but haven't checked the logs.

 

EDIT: Nevermind, found the post link within the post link... will check the logs to see if I spot anything

Edited by Psycho
Link to comment
56 minutes ago, Psycho said:

NIC being blacklisted... didn't notice any actual issues prior to that and went from 6.10.0 to 6.10.2. Disabled VT-d for now and was debating on other methods.

I would say that if you've been running v6.10.0 for a few days without issues you are likely fine, of course if don't need vt-d it's a no brainer to leave disabled for now.

  • Like 1
Link to comment
Posted (edited)

Updated the office server from 6.8.3 -> 6.10.2, seems like no issues so far!

 

 

UPDATE-

Couldn't get the VM to reboot without black screening the system, ended up bonding the GPU and USB Controller via the VFIO-PCI option in System Devices. This fixed that issue. Also was finally able to remove the "Docker - Case Insensitive" fix from the go file.

 

 

UPDATE 2-

In the Plugin tab, they show as status unknown everytime, until I click check for updates.

Solved by this ....

  

On 6/4/2022 at 3:27 AM, John_M said:

 

Check the value of Settings -> Notification Settings -> Plugins update notification. I have it set to Check once a day. You probably have it set to Never check.

 

 

Final issue being, Nerdpack is showing "kbd-1.15.3-x86_64-2.txz" and "mcelog-161-x86_64-1.txz" as being "update ready" even though neither of those exist on my flash device under the 6.10 nerdpack plugin folder.

Edited by ryoko227
typo and added an update , 2x
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.